## org.eclipse.datatools.modelbase.sql.xml.query
Interface XMLSerializeFunctionEncoding

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject, SQLQueryObject

    public interface XMLSerializeFunctionEncoding

extends SQLQueryObject

A representation of the model object 'XML Serialize Function Encoding'.

The following features are supported:

- `Encoding Name`

See Also:
  `SQLXMLQueryModelPackage.getXMLSerializeFunctionEncoding()`

Method Summary
`java.lang.String` `getEncodingName()` Returns the value of the 'Encoding Name' attribute.
`void` `setEncodingName(java.lang.String value)` Sets the value of the '`Encoding Name`' attribute.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getEncodingName

    java.lang.String getEncodingName()

  Returns the value of the 'Encoding Name' attribute.

  If the meaning of the 'Encoding Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Encoding Name' attribute.
  See Also:
    `setEncodingName(String)`, `SQLXMLQueryModelPackage.getXMLSerializeFunctionEncoding_EncodingName()`

### setEncodingName

    void setEncodingName(java.lang.String value)

  Sets the value of the '`Encoding Name`' attribute.

  Parameters:
    `value` - the new value of the 'Encoding Name' attribute.
  See Also:
    `getEncodingName()`